package com.tzld.piaoquan.risk.control.controller;

import com.tzld.piaoquan.risk.control.common.annotation.UnAuth;
import com.tzld.piaoquan.risk.control.common.base.CommonResponse;
import com.tzld.piaoquan.risk.control.model.dto.LoginDTO;
import com.tzld.piaoquan.risk.control.model.param.LoginAndRegisterParam;
import com.tzld.piaoquan.risk.control.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService loginService;

    @UnAuth
    @PostMapping("/login")
    public CommonResponse<LoginDTO> login(@RequestBody LoginAndRegisterParam param) {
        log.info("[user login]. param:{}", param);
        return CommonResponse.create(loginService.login(param));
    }

    @UnAuth
    @PostMapping("/register")
    public CommonResponse<Void> register(@RequestBody LoginAndRegisterParam param) {
        log.info("[user register]. param:{}", param);
        loginService.register(param);
        return CommonResponse.create();
    }

}
